Bug 143254 - "Greek Upper Letter" numbering style should be named "Greek Upper Numeral"
Summary: "Greek Upper Letter" numbering style should be named "Greek Upper Numeral"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Po-Yen Huang
URL:
Whiteboard: target:7.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Bullets-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2021-07-08 09:49 UTC by Mike Kaganski
Modified: 2021-11-08 07:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2021-07-08 09:49:05 UTC
Customizing a list numbering scheme (Format->Bullets and Numbering), there are two options to use Greek: "Α, Β, Γ, ... (Greek Upper Letter)" and "α, β, γ, ... (Greek Lower Letter)". The word "Letter" here is misleading, making one think that the numbering scheme simply uses Greek alphabet for numbering, as in "a, b, c, ..." scheme. But actually, this scheme uses Greek Numerals [1]. So the names should be "Α, Β, Γ, ... (Greek Upper Numerals)" and "α, β, γ, ... (Greek Lower Numerals)", replacing "Letter" with "Numerals".

The real-life user confusion may be seen at https://ask.libreoffice.org/en/question/317434/change-letters-in-greek-upper-letter-numbering/.

This is a potential easy hack.

[1] https://en.wikipedia.org/wiki/Greek_numerals
Comment 1 Heiko Tietze 2021-07-19 13:53:47 UTC
I wonder if these need to be implemented as numerals.

But if so, the strings are defined in svx/inc/numberingtype.hrc.
Comment 2 Mike Kaganski 2021-07-19 13:57:08 UTC
(In reply to Heiko Tietze from comment #1)
> I wonder if these need to be implemented as numerals.

Yes - for external compatibility, backwards compatibility, and feature coverage (same as Roman numerals). If needed, Greek *characters* numbering scheme could be introduced separately (but of course, this is unrelated to the issue).

Thanks for the code pointer!
Comment 3 Po-Yen Huang 2021-11-04 03:11:12 UTC
Hi, I pushed a patch to Gerrit: https://gerrit.libreoffice.org/c/core/+/124665
Please review it :-)
Comment 4 Commit Notification 2021-11-04 06:24:31 UTC
Jeff Huang committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3165f0ff32b002a6efbc61af4f778ba4075b496e

tdf#143254 Replaces "Greek Upper Letter" with "Greek Upper Numerals"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2021-11-08 07:20:54 UTC
Please don't forget to resolve as fixed after submitting a patch.